<?php

/**
 * Listings - Category
 */


if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if( !class_exists( 'HouseFix_Shop_Listing_Category' ) ) {

    class HouseFix_Shop_Listing_Category {

        private static $_instance = null;

        private $settings;

        public static function instance() {

            if ( is_null( self::$_instance ) ) {
                self::$_instance = new self();
            }

            return self::$_instance;

        }

        function __construct() {

            /* Load Modules */
                $this->load_modules();

        }

        /*
        Load Modules
        */
            function load_modules() {

                /* Customizer */
                    include_once HOUSEFIX_SHOP_PATH . 'modules/category/customizer/index.php';

            }

    }

}


if( !function_exists('housefix_shop_listing_category') ) {
	function housefix_shop_listing_category() {
		return HouseFix_Shop_Listing_Category::instance();
	}
}

housefix_shop_listing_category();